ranges::v3::concepts::Common Struct Reference
Utility » Concepts

## Public Types

template<typename T , typename U , typename... Rest>
using | value_t = common_type_t< T, U, Rest... >

## Public Member Functions

| concepts::model_of ()
| concepts::model_of ()
| concepts::model_of ()))
| concepts::model_of ()
| concepts::model_of ()
template<typename T , typename U >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_true(std::is_same< uncvref_t< T >, uncvref_t< U >>
template<typename T , typename U >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_false(std::is_same< uncvref_t< T >, uncvref_t< U >>
template<typename T , typename U , typename... Rest, typename Common_ = Common>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Common_, T, U >(), concepts::model_of< Common_, value_t< T, U >, Rest... >()))